package no.ntnu.item.arctis.examples.android.geirsag.invome.contactstest.app;

import java.util.ArrayList;
import java.util.Collection;

import no.ntnu.item.arctis.examples.android.geirsag.invome.objects.VoiceContact;
import no.ntnu.item.arctis.examples.android.geirsag.invome.objects.ChatPresence.PresenceStatus;
import no.ntnu.item.arctis.library.objects.chat.ChatUser;

public class App {

	public Collection<VoiceContact> getFakeContacts() {
		Collection<VoiceContact> contacts = new ArrayList<VoiceContact>();
		
		VoiceContact fred = new VoiceContact(new ChatUser("Fred", "fred@userid.com"));
		fred.setPresence(PresenceStatus.available);
		contacts.add(fred);
		
		VoiceContact lars = new VoiceContact(new ChatUser("Lars", "lars@userid.com"));
		lars.setPresence(PresenceStatus.away);
		contacts.add(lars);
		
		VoiceContact knut = new VoiceContact(new ChatUser("Knut", "knut@userid.com"));
		knut.setPresence(PresenceStatus.busy);
		contacts.add(knut);
		
		VoiceContact lisa = new VoiceContact(new ChatUser("Lisa", "lisa@userid.com"));
		lisa.setPresence(PresenceStatus.unavailable);
		contacts.add(lisa);
		
		
		return contacts;
	}
}