package no.ntnu.item.arctis.examples.android.geirsag.invome.objects;

import java.io.Serializable;

import no.ntnu.item.arctis.examples.android.geirsag.invome.objects.ChatPresence.PresenceStatus;
import android.graphics.drawable.Drawable;

public class Contact implements Serializable {
	private PresenceStatus presence;
	private String status;
	private ChatUser chatUser;
	private Drawable photo;
	
	
	public Contact(ChatUser chatUser) {
		this.chatUser = chatUser;
		presence = PresenceStatus.unavailable;
		photo = null;
	}
	public PresenceStatus getPresence() {
		return presence;
	}

	public void setPresence(PresenceStatus presence) {
		this.presence = presence;
	}
	public ChatUser getChatUser() {
		return chatUser;
	}
	public void setChatUser(ChatUser chatUser) {
		this.chatUser = chatUser;
	}
	
	public Drawable getPhoto() {
		return photo;
	}
	public void setPhoto(Drawable photo) {
		this.photo = photo;
	}

	@Override
	public String toString() {
		return chatUser.nickName + " - " + chatUser.userID;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getStatus() {
		return status;
	}
}
