package no.ntnu.item.arctis.examples.android.geirsag.invome2.mutex;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.net.InetSocketAddress;

import no.ntnu.item.arctis.examples.android.geirsag.rtp.objects.MessageBundle;
import no.ntnu.item.arctis.runtime.android.AndroidBlock;

public class Mutex extends AndroidBlock {

	private InetSocketAddress currentAddress;
	public boolean guiActive;
	public no.ntnu.item.arctis.examples.android.geirsag.rtp.objects.MessageBundle bundle;

	public InputStream stripAddress(MessageBundle msgBundle) {
		currentAddress = msgBundle.rtpAddress;
		return msgBundle.inputStream;
	}

	public MessageBundle addAddress(InputStream inputStream) {
		return new MessageBundle(currentAddress, inputStream);
	}

	public MessageBundle readFile(File file) {
		InputStream in = null;
		try {
			in = new BufferedInputStream(new FileInputStream(file));
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		return new MessageBundle(file.getName(), in);
	}

}
