package no.ntnu.item.arctis.examples.android.geirsag.invome2.sender;

import no.ntnu.item.arctis.examples.android.geirsag.invome.objects.VoiceContact;
import no.ntnu.item.arctis.examples.android.geirsag.rtp.objects.AddressSet;
import no.ntnu.item.arctis.runtime.android.AndroidBlock;

public class Sender extends AndroidBlock {


	public static final int RECEIVER_PORT = 16386;

	public String getDialogText(VoiceContact user) {
		String nick = user.getChatUser().nickName != null ? user.getChatUser().nickName : user.getChatUser().userID;
		return "Recording message to " + nick + "...";
	}

	public String getMessage(Exception e) {
		return e.getMessage();
	}

	public AddressSet contactToAddress(VoiceContact contact) {
		return new AddressSet(contact.getIp().getHostAddress(), contact.getPort(), RECEIVER_PORT);
	}

}
