package no.ntnu.item.arctis.examples.android.geirsag.service.signaltestfgwrapper;

import no.ntnu.item.arctis.runtime.AbstractRuntime;
import no.ntnu.item.arctis.runtime.android.AndroidBlock;
import android.content.ComponentName;
import android.content.Intent;

public class SignalTestFGWrapper extends AndroidBlock {

	String serviceBlockID;

	public void started() {
		AbstractRuntime.getRuntime(blockID).addContext("SignalForegroundBlockID", blockID);
	}

	public void startService() {
		try {
			Intent intent = new Intent(getContext(), Class.forName("no.ntnu.item.arctis.examples.android.geirsag.service.signaltestbackground.Start"));
			getContext().startService(intent);
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		}
	}

	public void stopService() {
		try {
			Intent intent = new Intent(getContext(), Class.forName("no.ntnu.item.arctis.examples.android.geirsag.service.signaltestbackground.Start"));
			getContext().stopService(intent);
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		}
	}

	public String startString(String serviceBlockID) {
		this.serviceBlockID = serviceBlockID;
		return "Service started";
	}
}
