package no.ntnu.item.arctis.examples.android.geirsag.xmpp.objects;

import java.io.Serializable;

public class CustomMessage implements Serializable {
	private String name;
	private Serializable value;
	private String toUser;
	private String fromUser;
	public CustomMessage(String name, Serializable value, String toUser, String fromUser) {
		super();
		this.name = name;
		this.value = value;
		this.toUser = toUser;
		this.fromUser = fromUser;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Serializable getValue() {
		return value;
	}
	public void setValue(Serializable value) {
		this.value = value;
	}
	public String getToUser() {
		return toUser;
	}
	public void setToUser(String toUser) {
		this.toUser = toUser;
	}
	public String getFromUser() {
		return fromUser;
	}
	public void setFromUser(String fromUser) {
		this.fromUser = fromUser;
	}

	public String toString() {
		return String.format("From: %s, To: %s, Name: %s, Value: %s", fromUser, toUser, name, value.toString());
	}

}
