package no.ntnu.item.arctis.examples.android.geirsag.audio.recordtofile2.app;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

import android.os.Environment;

public class App {

	public OutputStream getOutputStream(String fileName) {
		File filePath = new File(Environment.getExternalStorageDirectory(), fileName);

		if (filePath.exists())
			filePath.delete();
		try {
			filePath.createNewFile();
		} catch (IOException e) {
			e.printStackTrace();
			return null;
		}

		OutputStream os = null;
		try {
			os = new FileOutputStream(filePath);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		return os;
	}

	public String getStopText() {
		return "Press button to stop recording";
	}
}