package no.ntnu.item.arctis.examples.android.geirsag.invome.audiooverrtp;

import java.io.InputStream;
import java.io.OutputStream;

import no.ntnu.item.arctis.examples.android.geirsag.rtp.objects.AddressSet;
import no.ntnu.item.arctis.examples.android.geirsag.rtp.objects.RTPReceiverBundle;
import no.ntnu.item.arctis.examples.android.geirsag.rtp.objects.RTPSenderBundle;
import no.ntnu.item.arctis.runtime.android.AndroidBlock;

public class AudioOverRTP extends AndroidBlock {

	public RTPSenderBundle getSenderBundle(AddressSet address, InputStream inputStream) {
		return new RTPSenderBundle(address.getDestinationAddress(), address.getDestinationPort(), address.getReceiverPort(), inputStream);
	}
	
	public RTPReceiverBundle getReceiverBundle(int port, OutputStream outputStream){
		return new RTPReceiverBundle(port, outputStream);
	}
	
}
