package no.ntnu.item.arctis.examples.android.geirsag.invome.contactlist;


import no.ntnu.item.arctis.android.R;
import no.ntnu.item.arctis.library.android.alc5.ArctisAndroidActivity5;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

public class ContactListActivity extends ArctisAndroidActivity5 {

	public void onCreate(Bundle savedInstanceState) {
		setContentView(R.layout.contacts_main);
		setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
		super.onCreate(savedInstanceState);
	}
	
	
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		MenuInflater inflater = getMenuInflater();
		inflater.inflate(R.menu.menu, menu);
		return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch(item.getItemId()){
		case R.id.disconnect:
			sendSignalToBuildingBlock("DISCONNECT");
			return true;
		default:
			return super.onOptionsItemSelected(item);
		}
	}
	
}
