package no.ntnu.item.arctis.examples.android.geirsag.invome.objects;

import java.io.Serializable;

public class ChatPresence implements Serializable {
	
	private String userId;
	private PresenceStatus status;
	private String message;
	
	
	
	public String getUserId() {
		return userId;
	}



	public void setUserId(String userId) {
		this.userId = userId;
	}



	public PresenceStatus getStatus() {
		return status;
	}



	public void setStatus(PresenceStatus status) {
		this.status = status;
	}



	public ChatPresence(String userId, PresenceStatus presence, String statusMsg) {
		super();
		this.userId = userId;
		this.status = presence;
		this.message = statusMsg;
	}



	public enum PresenceStatus {
		available,
		busy,
		away,
		unavailable
	}
	
	@Override
	public String toString() {
		return String.format("%s: %s. %s", userId, status, message);
	}



	public void setMessage(String message) {
		this.message = message;
	}



	public String getMessage() {
		return message;
	}
}
