package no.ntnu.item.arctis.examples.android.geirsag.invome.objects;

import java.io.Serializable;
import java.net.InetAddress;


public class VoiceContact extends Contact implements Serializable {

	private InetAddress ip = null;
	private int port = 16384;
	private int messages;
	public VoiceContact(ChatUser chatUser) {
		super(chatUser);
	}
	public boolean isVoiceSupported() {
		return ip != null;
	}
	public InetAddress getIp() {
		return ip;
	}
	public void setIp(InetAddress ip) {
		this.ip = ip;
	}
	public int getPort() {
		return port;
	}
	public void setPort(int port) {
		this.port = port;
	}
	public void setMessages(int messages) {
		this.messages = messages;
	}
	public int getMessages() {
		return messages;
	}
}
