package no.ntnu.item.arctis.examples.android.geirsag.invome2.invomecontroller.app;

import no.ntnu.item.arctis.examples.android.geirsag.invome.objects.VoiceContact;
import no.ntnu.item.arctis.examples.android.geirsag.rtp.objects.AddressSet;

public class App {


	public static final int RECEIVER_PORT = 16386;

	public String getDisconnectMsg(Exception e) {
		String s;
		if(e == null)
			s = "Disconnected from server.";
		else
			s = "Disconnected from server, error message: " + e.getLocalizedMessage();
		return s;
	}
	
	public AddressSet contactToAddress(VoiceContact contact) {
		return new AddressSet(contact.getIp().getHostAddress(), contact.getPort(), RECEIVER_PORT);
	}
}