package no.ntnu.item.arctis.examples.android.geirsag.invome2.ntnuinstantvoicemessenger.app;

import no.ntnu.item.arctis.examples.android.geirsag.invome.objects.VoiceContact;
import no.ntnu.item.arctis.examples.android.geirsag.rtp.objects.AddressSet;

public class App {

	public static final int RECEIVER_PORT = 16386;

	public String getDisconnectMsg(Exception e) {
		String s;
		if(e == null)
			s = "Disconnected from server.";
		else
			s = "Disconnected from server, error message: " + e.getLocalizedMessage();
		return s;
	}
	
	public AddressSet contactToAddress(VoiceContact contact) {
		return new AddressSet(contact.getIp().getHostAddress(), contact.getPort(), RECEIVER_PORT);
	}

	public String playing(String sender) {
		return "Playing message from:\n" + sender;
	}

	public String getDialogText(VoiceContact user) {
		String nick = user.getChatUser().nickName != null ? user.getChatUser().nickName : user.getChatUser().userID;
		return "Recording message to " + nick + "...";
	}
	
	public String getMessage(Exception e) {
		return e.getMessage();
	}
}