package no.ntnu.item.arctis.examples.android.geirsag.invome2.objects;

import java.io.File;
import java.io.Serializable;
import java.net.InetSocketAddress;

public class MessageFileBundle implements Serializable {
	public InetSocketAddress rtpAddress;
	public File file;
	public String sender;
	
	public MessageFileBundle(InetSocketAddress rtpAddress, File file) {
		this.rtpAddress = rtpAddress;
		this.file = file;
	}
	
	public MessageFileBundle(String sender, File file) {
		this.sender = sender;
		this.file = file;
	}
	
	public String getSender(){
		return sender != null ? sender : rtpAddress.toString();
	}
	
}
