package no.ntnu.item.arctis.examples.android.geirsag.invome2.objects;

import android.content.Intent;

public class NotificationBundle {
	public int iconDrawableID;
	public String tickerText;
	public String contentTitle;
	public String contentText;
	public Intent contentIntent;
	public String broadcastAction;
	public IntentType intentType;

	public NotificationBundle(int iconDrawableID, String tickerText, String contentTitle, String contentText,
			Intent contentIntent, IntentType intentType) {
		this.iconDrawableID = iconDrawableID;
		this.tickerText = tickerText;
		this.contentTitle = contentTitle;
		this.contentText = contentText;
		this.contentIntent = contentIntent;
		this.intentType = intentType;
	}

	public NotificationBundle(int iconDrawableID, String tickerText, String contentTitle, String contentText,
			String broadcastAction, IntentType intentType) {
		this.iconDrawableID = iconDrawableID;
		this.tickerText = tickerText;
		this.contentTitle = contentTitle;
		this.contentText = contentText;
		this.broadcastAction = broadcastAction;
		this.intentType = intentType;
	}
	
	public enum IntentType {
		activity,
		broadcast,
		service
	}

}
