package no.ntnu.item.arctis.examples.android.geirsag.invome2.servicecontroller;

import no.ntnu.item.arctis.examples.android.geirsag.invome2.objects.NotificationBundle;
import no.ntnu.item.arctis.runtime.AbstractRuntime;
import no.ntnu.item.arctis.runtime.android.AndroidBlock;
import no.ntnu.item.arctis.runtime.android.ForegroundController;
import no.ntnu.item.arctis.runtime.android.GeneralStartService;

public class ServiceController extends AndroidBlock {

	public void moveToForeground(NotificationBundle bundle) {
		try {
			ForegroundController controller = (ForegroundController) AbstractRuntime.getRuntime(blockID).getContext(
					"ServiceController");
			if (bundle.contentIntent != null)
				controller.moveToForeground(bundle.iconDrawableID, bundle.tickerText, bundle.contentTitle,
						bundle.contentText, bundle.contentIntent);
			else
				controller.moveToForeground(bundle.iconDrawableID, bundle.tickerText, bundle.contentTitle,
						bundle.contentText, bundle.broadcastAction);
		} catch (Exception e) {
			e.printStackTrace();
			throw new RuntimeException(e);
		}
	}

	public void moveToBackground() {
		try {
			ForegroundController controller = (ForegroundController) AbstractRuntime.getRuntime(blockID).getContext(
					"ServiceController");
			controller.moveToBackground();
		} catch (Exception e) {
			e.printStackTrace();
			throw new RuntimeException(e);
		}
	}
}
