package no.ntnu.item.arctis.examples.android.geirsag.service.signaltestbgwrapper;

import no.ntnu.item.arctis.runtime.AbstractRuntime;
import no.ntnu.item.arctis.runtime.android.AndroidBlock;
import android.util.Log;

public class SignalTestBGWrapper extends AndroidBlock {
	private String[] msgs = { "Hello", "Hi", "Bon jour", "God dag" };
	
	String fgBlockID;

	public void started() {
		Log.d("Signal BG", "Service started");
		
		fgBlockID = (String) AbstractRuntime.getRuntime(blockID).getContext("SignalForegroundBlockID");
		
		String signal = "SERVICE_STARTED";
		sendSignalToForeground(signal, blockID);
	}

	private void sendSignalToForeground(String signal, Object data) {
		AbstractRuntime.getRuntime(fgBlockID).sendToBlock(fgBlockID, signal + "_" + fgBlockID, data);
	}

	public void sendTick() {
		String msg = msgs[(int)Math.floor(Math.random() * 4)];
		sendSignalToForeground("SERVICE_TICK", msg);
	}
}
