package no.ntnu.item.arctis.examples.android.geirsag.xmpp.chattest.app;

import no.ntnu.item.arctis.examples.android.geirsag.xmpp.objects.ChatMessage;
import no.ntnu.item.arctis.examples.android.geirsag.xmpp.objects.LoginBundle;
import no.ntnu.item.arctis.library.objects.login.Credentials;

public class App {

	public String lastUser = null;

	public LoginBundle credsToLogin(Credentials creds) {
		return new LoginBundle("talk.google.com", 5222, "gmail.com", creds.getUserName(), creds.getPassword());
	}
	public String exceptionToString(Exception e) {
		return e.getLocalizedMessage();
	}
	public String getString(Object obj){
		if(obj instanceof ChatMessage)
			lastUser = ((ChatMessage)obj).getFromUser();
		return obj.toString();
	}
	public ChatMessage createMsg(String msg){
		return new ChatMessage(lastUser, null, msg);
	}
}