package no.ntnu.item.arctis.examples.android.geirsag.xmpp.xmpptest3.app;

import java.util.Collection;

import org.jivesoftware.smack.RosterEntry;

import no.ntnu.item.arctis.examples.android.geirsag.xmpp.objects.LoginBundle;
import no.ntnu.item.arctis.library.objects.login.Credentials;

public class App {

	public LoginBundle createLoginBundle(Credentials credentials) {
		return new LoginBundle("talk.google.com", 5222, "gmail.com", credentials.getUserName(), credentials.getPassword());
	}

	public String getDeniedString(Exception exception) {
		return "Login failed." + exception.getMessage();
	}

	public void printRoster(Collection<RosterEntry> contacts) {
		StringBuilder builder = new StringBuilder();
		for (RosterEntry rosterEntry : contacts) {
			builder.append(rosterEntry.getName() + " - " + rosterEntry.getUser() + "\n");
		}
		System.out.println(builder.toString());
	}
}